/*
bsf.css
created on Thursday, September 10, 2003

addresses necessary style definitions for Foundation Suite
this file must be used in order for the following widgets to be displayed properly

the first set of rules are required regardless of the what variables are defined in your xsl style sheet


This is the default look for the MultiValueDisplay Widget
*/
.MultiValueDisplay {
    font-family: arial;
    font-size: 13pt;
    font-weight: bold;
    color: #000000;
    border-style: none;
    border-color: #FFFFFF;
}

/*
This is the default look for the Multi Field Widget
*/
.MultiFieldWidget {
    font-family: arial;
    font-size: 10pt;
    color: #000000;
    overflow: hidden;
    background: url(/images/mfwLinesStd.png);
    line-height: 16px;
}

.MultiFieldWidget-Labels {
    font-family: arial;
    font-size: 10pt;    
    line-height: 16px;
}

/*
This is the default look for the P2ListView and the P2ListViewSpecial Widgets
.P2ListView-Titles formats the column headers for the search results
.P2ListView-Data formats the columns of returned data
the "a" designation formats any hyperlinks
*/
.P2ListView {
    border-width: 1pt;
    border-style: solid;
    border-color: #CCCCCC;
}

.P2ListView-Titles {
    font-family: arial;
    font-size: 13pt;
    font-weight: bold;
    color: #000000;
    background-color: #EFEFEF;
    border-style: solid;
    border-width: 1pt;
    border-color: #CCCCCC;
}

.P2ListView-Titles a {
    font-family: arial;
    font-size: 13pt;
    font-weight: bold;
    color: #000000;
    background-color: #EFEFEF;
    text-decoration: none;
}

.P2ListView-Data {
    font-family: arial;
    font-size: 13pt;
    color: #000000;
    border-style: solid;
    border-width: 1pt;
    border-color: #CCCCCC;
    background-color: #FFFFFF;
}

/*
This is the default look for the P2LinkView Widget
.P2LinkView-Titles formats the column headers for the search results
.P2LinkView-Data formats the columns of returned data
the "a" designation formats any hyperlinks
*/
.P2LinkView {
    border-width: 1pt;
    border-style: solid;
    border-color: #CCCCCC;
}

.P2LinkView-Titles {
    font-family: arial;
    font-size: 13pt;
    font-weight: bold;
    color: #000000;
    background-color: #EFEFEF;
    border-style: solid;
    border-width: 1pt;
    border-color: #CCCCCC;
}

.P2LinkView-Titles a {
    font-family: arial;
    font-size: 13pt;
    font-weight: bold;
    color: #000000;
    background-color: #EFEFEF;
    text-decoration: none;
}

.P2LinkView-Data {
    font-family: arial;
    font-size: 13pt;
    color: #000000;
    border-style: solid;
    border-width: 1pt;
    border-color: #CCCCCC;
}

/*
This is the defauly look for the P2ListViewBare Widget
.P2ListViewBare-Data formats the columns of returned data
the "a" designation formats any hyperlinks
*/
.P2ListViewBare-Data {
    font-family: arial;
    font-size: 13pt;
    color: #000000;
}

.P2ListViewBare-Data a {
    font-family: arial;
    font-size: 13pt;
    color: blue;
    text-decoration: none;
}

.P2ListViewBare-Data a:hover {
    text-decoration: underline;
}

/*
This is the default look for the P2PivotView Widget
.P2PivotView-Titles formats the column headers for the search results
.P2PivotView-Data formats the columns of returned data
the "a" designation formats any hyperlinks
*/
.P2PivotView {
    border-width: 1pt;
    border-style: solid;
    border-color: #CCCCCC;
}

.P2PivotView-Titles {
    font-family: arial;
    font-size: 13pt;
    font-weight: bold;
    color: #000000;
    background-color: #EFEFEF;
    border-style: solid;
    border-width: 1pt;
    border-color: #CCCCCC;
}

.P2PivotView-Titles a {
    font-family: arial;
    font-size: 13pt;
    font-weight: bold;
    color: #000000;
    background-color: #EFEFEF;
    text-decoration: none;
}

.P2PivotView-Data {
    font-family: arial;
    font-size: 13pt;
    color: #000000;
    border-style: solid;
    border-width: 1pt;
    border-color: #CCCCCC;
}

/*
This is the default look for the P2ReportView Widget
.P2ReportView-Titles formats the column headers for the search results
.P2ReportView-Data formats the columns of returned data
the "a" designation formats any hyperlinks
*/
.P2ReportView {
    border-width: 1pt;
    border-style: solid;
    border-color: #CCCCCC;
}

.P2ReportView-Titles {
    font-family: arial;
    font-size: 13pt;
    font-weight: bold;
    color: #000000;
    background-color: #EFEFEF;
    border-style: solid;
    border-width: 1pt;
    border-color: #CCCCCC;
}

.P2ReportView-Titles a {
    font-family: arial;
    font-size: 13pt;
    font-weight: bold;
    color: #000000;
    background-color: #EFEFEF;
    text-decoration: none;
}

.P2ReportView-Data {
    font-family: arial;
    font-size: 13pt;
    color: #000000;
    border-style: solid;
    border-width: 1pt;
    border-color: #CCCCCC;
}

/*
This is the default look for the Tab Widget
.TabWidget-InactiveTab formats the tab(s) for the other pages included on the tab
.TabWidget-ActiveTab formats the tab for the current page
the "a" designation formats any hyperlinks
*/
.TabWidget-InactiveTab {
    background-color: #C0C0C0;
    border-left: 1px solid #808080;
    border-right: 1px solid #808080;
    border-top: 1px solid #808080;
    border-bottom: 1px solid #808080;
}

.TabWidgetBottom-InactiveTab {
    background-color: #C0C0C0;
    border-left: 1px solid #808080;
    border-right: 1px solid #808080;
    border-top: 1px solid #808080;
    border-bottom: 1px solid #808080;
}

.TabWidget-InactiveTab a {
    font-family: arial;
    font-size: 13pt;
    color: #000000;
    text-decoration: none;
}

.TabWidgetBottom-InactiveTab a {
    font-family: arial;
    font-size: 13pt;
    color: #000000;
    text-decoration: none;
}

.TabWidget-ActiveTab {
    font-family: arial;
    font-size: 13pt;
    color: #000000;
    background-color: #EFEFEF;
    border-left: 1px solid #808080;
    border-right: 1px solid #808080;
    border-top: 1px solid #808080;
}

.TabWidgetBottom-ActiveTab {
    font-family: arial;
    font-size: 13pt;
    color: #000000;
    background-color: #EFEFEF;
    border-left: 1px solid #808080;
    border-right: 1px solid #808080;
    border-bottom: 1px solid #808080;
}

.TabWidget-BottomBar {
    background-color: #EFEFEF;
    border-left: 1px solid #808080;
    border-bottom: 1px solid #808080;
    border-right: 1px solid #808080;
}

.TabWidgetBottom-TopBar {
    background-color: #EFEFEF;
    border-left: 1px solid #808080;
    border-top: 1px solid #808080;
    border-right: 1px solid #808080;
}

.TabWidget-Spacer {
    border-bottom: 1px solid #808080;
}

.TabWidgetBottom-Spacer {
    border-top: 1px solid #808080;
}

/*
This is the default look for the Pipe Field List
*/
.PipeFieldList-List {
    font-family: arial;
    font-size: 10pt;
}

/*
This is the default look for the P2Calendar Widget
.P2CalendarLabel formats the title of the calendar 
.P2CalendarMonths formats the month above each section of the calendar
.P2CalendarPreviousMonth determines the color of the cell for days not within the current month
.P2CalendarCurrentDayEmpty determines the look of the cell containing the current day without any data
.P2CalendarCurrentDayFull determines the look of the cell containing the current day with data present
.P2CalendarOtherDayEmpty determines the look of the cell containing other days without any data
.P2CalendarOtherDayFull determines the look of the cell containing other days with data present
the "a" designation formats any hyperlinks
*/
.P2Calendar-Main {
    background-color: #F5F5F5;
}

.P2CalendarLabel {
    font-family: Trebuchet MS;
    font-size: 13pt;
    font-weight: bold;
    color: #000000;
    background-color: #F5F5F5;
}

.P2CalendarMonths {
    font-family: Trebuchet MS;
    font-size: 15pt;
    font-weight: bold;
    color: #000000;
}

.P2CalendarPreviousMonth {
    background-color: #A9A9A9;
    border: 1px solid #808080;
}

.P2CalendarDayLabel {
    font-weight: bold;
    text-align: right;
}

.P2CalendarCurrentDayEmpty {
    background-color: #FFFF99;
    border: 1px solid #808080;
}

.P2CalendarCurrentDayEmpty a {
    font-family: Trebuchet MS;
    font-size: 11pt;
    color: #333366;
    text-decoration: none;
}

.P2CalendarCurrentDayEmpty a:hover {
    text-decoration: underline;
}

.P2CalendarCurrentDayFull {
    background-color: #FFFF00;
}

.P2CalendarCurrentDayFull a {
    font-family: Trebuchet MS;
    font-size: 11pt;
    color: #FF0000;
    text-decoration: none;
}

.P2CalendarCurrentDayFull a:hover {
    text-decoration: underline;
}

.P2CalendarOtherDayEmpty {
    background-color: #FFFFFF;
    border: 1px solid #808080;
}

.P2CalendarOtherDayEmpty a {
    font-family: Trebuchet MS;
    font-size: 11pt;
    color: #000000;
    text-decoration: none;
}

.P2CalendarOtherDayEmpty a:hover {
    text-decoration: underline;
}

.P2CalendarOtherDayFull {
    background-color: #99CCFF;
    border: 1px solid #808080;
}

.P2CalendarOtherDayFull a {
    font-family: Trebuchet MS;
    font-size: 11pt;
    color: #003366;
    text-decoration: none;
}

.P2CalendarOtherDayFull a:hover {
    text-decoration: underline;
}

.P2CalendarDay {
    font-family: Trebuchet MS;
    font-size: 11pt;
    font-weight: bold;
    text-align: center;
    color: #000000;
    background-color: #CCCCCC;
    border: 1px solid #808080;
}

.P2Calendar-Button {
    font-family: Trebuchet MS;
    font-style:  normal;
    font-weight: normal;
    font-size: 9pt;
    background-color:#F5F5F5;
    color:#404040;
    border:1px solid #7F9DB9;
    cursor:hand;
}

/*
Default look for the Rolodex Widget
*/
.Rolodex {
    font-family: arial;
    font-size: 9pt;
    padding: 1px;
    text-align: center;
    border-top: 1px solid #808080;
    border-left: 1px solid #808080;
    border-right: 1px solid #808080;
    border-bottom: 1px solid #808080;
    background-color: #C0C0C0;
}

.Rolodex a {
    font-weight: bold;
    text-decoration: none;
    color: #000000;
    width: 90%;
}

.Rolodex-select {
    font-family: arial;
    font-size: 9pt;
    font-weight: bold;
    padding: 1px;
    text-align: center;
    border-top: 1px solid #808080;
    border-left: 1px solid #808080;
    border-right: 1px solid #808080;
    background-color: #EFEFEF;
}

.Rolodex-Bar {
    background-color: #EFEFEF;
    border-left: 1px solid #808080;
    border-bottom: 1px solid #808080;
    border-right: 1px solid #808080;
}

.Rolodex-Space {
    border-bottom: 1px solid #808080;
}

/*
Default look for the Number & Currency controls.  This class will right align the contents in the field.
*/
.ctlNumber {
    font-family: arial;
    font-size: 9pt;
    color: #000000;
    text-align: right;
}

.ctlNumberNegative {
    font-family: arial;
    font-size: 9pt;
    color: #FF3300;
    text-align: right;
}


/*
The following rules are required if their xsl counterparts are not defined.  


This rule is required if $sheetHeaderTextColor is not defined.
*/
.SheetHeader {
    font-family: arial;
    font-size: 16pt;
    font-weight: bold;
    color: #000000;
    background-color: #C0C0C0;
}

/*
This rule is required if $frameColor is not defined.
*/
.SectionFrame {
    border-width: 2pt;
    border-style: solid;
    border-color: #E0E0E0;
}

/*
This rule is required if $sectionTextColor is not defined.
*/
.SectionHeader {
    font-family: arial;
    font-size: 10pt;
    font-weight: bold;
    color: #000000;
    background-color: #E0E0E0;
}

/*
Just the section
*/
.Section {
    background-color: #FFFFFF;
}

/*
These rules are required if $formTextColor is not defined.
*/
.FieldLabel {
    font-family: arial;
    font-size: 9pt;
}

.FieldData {
    font-family: arial;
    font-size: 9pt;
}

.WidgetContainer {
    font-family: arial;
    font-size: 9pt;
}

/*
This rule is required if $ruleTextColor is not defined.
*/
.RuleResult {
    font-family: arial;
    font-size: 8pt;
    font-weight: bold;
    line-height: 19px;
    color: #C00000;
    background-color: #FFFFC0;
}